%global engine equinox
%global tarname 121881-%{engine}
%global tarver 1.30

Name:		gtk-equinox-engine
Version:	1.30.2
Release:	1%{?dist}
Summary:	Equinox theme engine for GTK+ 2.x

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://gnome-look.org/content/show.php/Equinox+GTK+Engine?content=121881
Source0:	http://gnome-look.org/CONTENT/content-files/%{tarname}-%{tarver}.tar.bz2

BuildRequires:	gtk2-devel

%description
A new engine derived from Aurora 1.4. It features smooth gradients or glassy
effects, subtle shadows, rounded widgets.

%prep
%setup -q -c %{tarname}-%{tarver}.tar.bz2
tar -xzf %{engine}-gtk-engine.tar.gz
tar -xzf %{engine}-themes.tar.gz

# Fix executable bits for debuginfo package
chmod 0644 %{engine}-%{tarver}/src/*

%build
pushd %{engine}-%{tarver}
%configure --enable-animation
make %{?_smp_mflags}
popd

%install
pushd %{engine}-%{tarver}
make install DESTDIR=%{buildroot}
popd

# Copy themes to proper directory
mkdir -p %{buildroot}%{_datadir}/themes
cp -r Equinox* %{buildroot}%{_datadir}/themes/

# Remove .la files
find %{buildroot} -name *.la | xargs rm -f || true

# Fix executable bits for doc files
chmod 0644 %{engine}-%{tarver}/{AUTHORS,ChangeLog,COPYING}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Equinox\ Evolution.crx userChrome.css
%doc %{engine}-%{tarver}/{AUTHORS,ChangeLog,COPYING}
%{_libdir}/gtk-2.0/2.10.0/engines/libequinox.so
%{_datadir}/themes/Equinox*

%changelog
* Mon Oct 04 2010 Germán A. Racca <skytux@fedoraproject.org> 1.30.2-1
- Updated to new version
- Defined some globals

* Fri Sep 03 2010 Germán A. Racca <skytux@fedoraproject.org> 1.30-1
- Updated to new version
- Icon name in Equinox Glass theme corrected by upstream

* Thu Aug 26 2010 Germán A. Racca <gracca@gmail.com> 1.20-4
- Removed dependency on gnome-icon-theme because faenza-icon-theme was released
- Fixed icon name in Equinox Glass theme

* Wed Jul 07 2010 German A. Racca <gracca@gmail.com> 1.20-3
- Fix permissions for debuginfo package

* Tue Jul 06 2010 German A. Racca <gracca@gmail.com> 1.20-2
- Fixed confused release number
- Removed %%BuildRoot tag
- Replaced Faenza icon theme by Gnome
- Added %%Requires tag

* Tue Jun 29 2010 German A. Racca <gracca@gmail.com> 1.20-1
- New version

* Tue Jun 01 2010 German A. Racca <gracca@gmail.com> 1.1-3
- Rebuild for Fedora 13
- Added %%{dist} tag

* Thu May 13 2010 German A. Racca <gracca@gmail.com> 1.1-2
- Rearrangement of spec file

* Tue Apr 06 2010 German A. Racca <gracca@gmail.com> 1.1-1
- Initial release of RPM package
